Bug 1118672 - 13.5.1. About Consistent Hashing Algorithms
Summary: 13.5.1. About Consistent Hashing Algorithms
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 6.3.0
Assignee: Misha H. Ali
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 08:53 UTC by Vitalii Chepeliuk
Modified: 2014-07-21 02:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1118700 (view as bug list)
Environment:
Build Name: 12532, Administration and Configuration Guide-6.3 Build Date: 07-07-2014 11:21:19 Topic ID: 5351-635853 [Latest]
Last Closed: 2014-07-21 02:14:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Vitalii Chepeliuk 2014-07-11 08:53:39 UTC
Title: About Consistent Hashing Algorithms

Describe the issue:
 Consistent hashing algorithms arrange the hash space as a circle. Owners are assigned for segments of the hash space. When a key is assigned to an owner, the hash of the key is used to determine in which segment the key should be stored. If an owner is removed, then its segment is allocated to its neighbors in the circle. This means that if an owner is removed, most of the hash space remains stable, resulting in less overhead.

<< Now no hash circle is used

Suggestions for improvement:
Please refer to development documentation to improve this section or ask developers about new hashing algorithm


Additional information:

Comment 2 Misha H. Ali 2014-07-11 09:27:53 UTC
OK, so Tristan is away and we are close to GA at the moment, so for now I'll just exclude this section. After GA, we can get in touch with the developers and formulate the correct information for this and put it back into the docs.

Cloned bug for later development: https://bugzilla.redhat.com/show_bug.cgi?id=1118700

For this bug, I've just excluded the topic. "About Consistent Hashing Algorithms" should not be in the doc anymore.

Comment 3 Vitalii Chepeliuk 2014-07-14 07:40:15 UTC
Ok lets exclude this section and leave it for 6.4 but we should not forget or ignore this bug

Comment 4 Misha H. Ali 2014-07-21 02:14:37 UTC
Now available on access.redhat.com under the JBoss Data Grid 6.3 documentation label.


Note You need to log in before you can comment on or make changes to this bug.